# Class HDFConstants

java.lang.Object
ncsa.hdf.hdflib.HDFConstants

public class HDFConstants extends Object

This interface defines the values of constants defined by the HDF 4.1 API.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AN_DATA_DESC`
`static final int`
`AN_DATA_LABEL`
`static final int`
`AN_FILE_DESC`
`static final int`
`AN_FILE_LABEL`
`static final String`
`ANNOTATION`
`static final String`
`CHAR16`
`static final String`
`CHAR8`
`static final int`
`COMP_CODE_DEFLATE`
`static final int`
`COMP_CODE_INVALID`
`static final int`
`COMP_CODE_NBIT`
`static final int`
`COMP_CODE_NONE`
`static final int`
`COMP_CODE_RLE`
`static final int`
`COMP_CODE_SKPHUFF`
`static final int`
`COMP_IMCOMP`
`static final int`
`COMP_JPEG`
`static final int`
`COMP_MODEL_STDIO`
`static final int`
`COMP_NONE`
`static final int`
`COMP_RLE`
`static final int`
`DF_FORWARD`
`static final int`
`DFACC_CREATE`
`static final int`
`DFACC_DEFAULT`
`static final int`
`DFACC_PARALLEL`
`static final int`
`DFACC_RDONLY`
`static final int`
`DFACC_RDWR`
`static final int`
`DFACC_READ`
`static final int`
`DFACC_SERIAL`
`static final int`
`DFACC_WRITE`
`static final int`
`DFIL_LINE`
`static final int`
`DFIL_PIXEL`
`static final int`
`DFIL_PLANE`
`static final int`
`DFNT_CHAR`
`static final int`
`DFNT_CHAR16`
No supported by HDF
`static final int`
`DFNT_CHAR8`
char
`static final int`
`DFNT_DOUBLE`
`static final int`
`DFNT_FLOAT`
`static final int`
`DFNT_FLOAT128`
`static final int`
`DFNT_FLOAT32`
float
`static final int`
`DFNT_FLOAT64`
`static final int`
`DFNT_INT128`
`static final int`
`DFNT_INT16`
short
`static final int`
`DFNT_INT32`
interger
`static final int`
`DFNT_INT64`
No supported
`static final int`
`DFNT_INT8`
8-bit integer
`static final int`
`DFNT_LITEND`
`static final int`
`DFNT_UCHAR`
`static final int`
`DFNT_UCHAR16`
`static final int`
`DFNT_UCHAR8`
unsigned char
`static final int`
`DFNT_UINT128`
`static final int`
`DFNT_UINT16`
unsigned interger
`static final int`
`DFNT_UINT32`
unsigned interger
`static final int`
`DFNT_UINT64`
`static final int`
`DFNT_UINT8`
unsigned 8-bit interger
`static final int`
`DFREF_WILDCARD`
`static final int`
`DFS_MAXLEN`
`static final int`
`DFTAG_CI`
`static final int`
`DFTAG_CI8`
`static final int`
`DFTAG_DIA`
`static final int`
`DFTAG_DIL`
`static final int`
`DFTAG_FD`
`static final int`
`DFTAG_FID`
`static final int`
`DFTAG_II8`
`static final int`
`DFTAG_NDG`
`static final int`
`DFTAG_RI`
`static final int`
`DFTAG_RI8`
`static final int`
`DFTAG_RIG`
`static final int`
`DFTAG_SD`
`static final int`
`DFTAG_SDG`
`static final int`
`DFTAG_VG`
`static final int`
`DFTAG_VH`
`static final int`
`DFTAG_VS`
`static final int`
`DFTAG_WILDCARD`
`static final String`
`DIM_VALS`
`static final String`
`DIM_VALS01`
`static final int`
`FAIL`
FAIL
`static final String`
`FLOAT128`
`static final String`
`FLOAT32`
`static final String`
`FLOAT64`
`static final int`
`FULL_INTERLACE`
interlacing supported by the vset.
`static final String`
`GR`
`static final String`
`GR_NAME`
`static final String`
`HDF_ATTRIBUTE`
`static final String`
`HDF_CDF`
`static final String`
`HDF_CHK_TBL`
`static final int`
`HDF_CHUNK`
`static final int`
`HDF_COMP`
`static final String`
`HDF_DIMENSION`
`static final int`
`HDF_NBIT`
`static final int`
`HDF_NONE`
`static final String`
`HDF_UDIMENSION`
`static final String`
`HDF_VARIABLE`
`static final String`
`INT128`
`static final String`
`INT16`
`static final String`
`INT32`
`static final String`
`INT64`
`static final String`
`INT8`
`static final int`
`MAX_VAR_DIMS`
`static final int`
`MFGR_INTERLACE_COMPONENT`
component interlacing scheme
`static final int`
`MFGR_INTERLACE_LINE`
line interlacing scheme
`static final int`
`MFGR_INTERLACE_PIXEL`
pixel interlacing scheme
`static final int`
`NO_INTERLACE`
`static final String`
`RI_NAME`
`static final String`
`RI24`
`static final String`
`RI8`
`static final String`
`RIGATTRCLASS`
`static final String`
`RIGATTRNAME`
`static final int`
`SD_DIMVAL_BW_COMP`
`static final int`
`SD_DIMVAL_BW_INCOMP`
`static final int`
`SD_FILL`
`static final int`
`SD_NOFILL`
`static final String`
`SDS`
`static final String`
`UCHAR16`
`static final String`
`UCHAR8`
`static final String`
`UINT128`
`static final String`
`UINT16`
`static final String`
`UINT32`
`static final String`
`UINT64`
`static final String`
`UINT8`
`static final String`
`VDATA`
`static final String`
`VGROUP`

## Constructor Summary

Constructors
Constructor
Description
`HDFConstants()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getType(int type)`
convert number type to string type params type the number representing the data type return the string representing the data type
`static int`
`getType(String type)`
convert string type to number type params type the string representing the data type return the integer representing the data type
`static int`
`getTypeSize(int type)`
gets the size of the data type in bytes, e.g size of DFNT_FLOAT32 = 4 the size of the data type

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FAIL

public static final int FAIL
FAIL

See Also:
  - Constant Field Values

### DFACC_READ

public static final int DFACC_READ

See Also:
  - Constant Field Values

### DFACC_WRITE

public static final int DFACC_WRITE

See Also:
  - Constant Field Values

### DFACC_RDWR

public static final int DFACC_RDWR

See Also:
  - Constant Field Values

### DFACC_CREATE

public static final int DFACC_CREATE

See Also:
  - Constant Field Values

### DFACC_RDONLY

public static final int DFACC_RDONLY

See Also:
  - Constant Field Values

### DFACC_DEFAULT

public static final int DFACC_DEFAULT

See Also:
  - Constant Field Values

### DFACC_SERIAL

public static final int DFACC_SERIAL

See Also:
  - Constant Field Values

### DFACC_PARALLEL

public static final int DFACC_PARALLEL

See Also:
  - Constant Field Values

### AN_DATA_LABEL

public static final int AN_DATA_LABEL

See Also:
  - Constant Field Values

### AN_DATA_DESC

public static final int AN_DATA_DESC

See Also:
  - Constant Field Values

### AN_FILE_LABEL

public static final int AN_FILE_LABEL

See Also:
  - Constant Field Values

### AN_FILE_DESC

public static final int AN_FILE_DESC

See Also:
  - Constant Field Values

### DFTAG_WILDCARD

public static final int DFTAG_WILDCARD

See Also:
  - Constant Field Values

### DFREF_WILDCARD

public static final int DFREF_WILDCARD

See Also:
  - Constant Field Values

### DFTAG_FID

public static final int DFTAG_FID

See Also:
  - Constant Field Values

### DFTAG_FD

public static final int DFTAG_FD

See Also:
  - Constant Field Values

### DFTAG_DIL

public static final int DFTAG_DIL

See Also:
  - Constant Field Values

### DFTAG_DIA

public static final int DFTAG_DIA

See Also:
  - Constant Field Values

### DFTAG_RI8

public static final int DFTAG_RI8

See Also:
  - Constant Field Values

### DFTAG_CI8

public static final int DFTAG_CI8

See Also:
  - Constant Field Values

### DFTAG_II8

public static final int DFTAG_II8

See Also:
  - Constant Field Values

### DFTAG_RI

public static final int DFTAG_RI

See Also:
  - Constant Field Values

### DFTAG_CI

public static final int DFTAG_CI

See Also:
  - Constant Field Values

### DFTAG_RIG

public static final int DFTAG_RIG

See Also:
  - Constant Field Values

### DFTAG_SD

public static final int DFTAG_SD

See Also:
  - Constant Field Values

### DFTAG_SDG

public static final int DFTAG_SDG

See Also:
  - Constant Field Values

### DFTAG_NDG

public static final int DFTAG_NDG

See Also:
  - Constant Field Values

### DFTAG_VH

public static final int DFTAG_VH

See Also:
  - Constant Field Values

### DFTAG_VS

public static final int DFTAG_VS

See Also:
  - Constant Field Values

### DFTAG_VG

public static final int DFTAG_VG

See Also:
  - Constant Field Values

### MFGR_INTERLACE_PIXEL

public static final int MFGR_INTERLACE_PIXEL
pixel interlacing scheme

See Also:
  - Constant Field Values

### MFGR_INTERLACE_LINE

public static final int MFGR_INTERLACE_LINE
line interlacing scheme

See Also:
  - Constant Field Values

### MFGR_INTERLACE_COMPONENT

public static final int MFGR_INTERLACE_COMPONENT
component interlacing scheme

See Also:
  - Constant Field Values

### FULL_INTERLACE

public static final int FULL_INTERLACE
interlacing supported by the vset.

See Also:
  - Constant Field Values

### NO_INTERLACE

public static final int NO_INTERLACE

See Also:
  - Constant Field Values

### DFNT_UCHAR8

public static final int DFNT_UCHAR8
unsigned char

See Also:
  - Constant Field Values

### DFNT_UCHAR

public static final int DFNT_UCHAR

See Also:
  - Constant Field Values

### DFNT_CHAR8

public static final int DFNT_CHAR8
char

See Also:
  - Constant Field Values

### DFNT_CHAR

public static final int DFNT_CHAR

See Also:
  - Constant Field Values

### DFNT_CHAR16

public static final int DFNT_CHAR16
No supported by HDF

See Also:
  - Constant Field Values

### DFNT_UCHAR16

public static final int DFNT_UCHAR16

See Also:
  - Constant Field Values

### DFNT_FLOAT32

public static final int DFNT_FLOAT32
float

See Also:
  - Constant Field Values

### DFNT_FLOAT

public static final int DFNT_FLOAT

See Also:
  - Constant Field Values

### DFNT_FLOAT64

public static final int DFNT_FLOAT64

See Also:
  - Constant Field Values

### DFNT_FLOAT128

public static final int DFNT_FLOAT128

See Also:
  - Constant Field Values

### DFNT_DOUBLE

public static final int DFNT_DOUBLE

See Also:
  - Constant Field Values

### DFNT_INT8

public static final int DFNT_INT8
8-bit integer

See Also:
  - Constant Field Values

### DFNT_UINT8

public static final int DFNT_UINT8
unsigned 8-bit interger

See Also:
  - Constant Field Values

### DFNT_INT16

public static final int DFNT_INT16
short

See Also:
  - Constant Field Values

### DFNT_UINT16

public static final int DFNT_UINT16
unsigned interger

See Also:
  - Constant Field Values

### DFNT_INT32

public static final int DFNT_INT32
interger

See Also:
  - Constant Field Values

### DFNT_UINT32

public static final int DFNT_UINT32
unsigned interger

See Also:
  - Constant Field Values

### DFNT_INT64

public static final int DFNT_INT64
No supported

See Also:
  - Constant Field Values

### DFNT_UINT64

public static final int DFNT_UINT64

See Also:
  - Constant Field Values

### DFNT_INT128

public static final int DFNT_INT128

See Also:
  - Constant Field Values

### DFNT_UINT128

public static final int DFNT_UINT128

See Also:
  - Constant Field Values

### DFNT_LITEND

public static final int DFNT_LITEND

See Also:
  - Constant Field Values

### DF_FORWARD

public static final int DF_FORWARD

See Also:
  - Constant Field Values

### DFS_MAXLEN

public static final int DFS_MAXLEN

See Also:
  - Constant Field Values

### COMP_NONE

public static final int COMP_NONE

See Also:
  - Constant Field Values

### COMP_JPEG

public static final int COMP_JPEG

See Also:
  - Constant Field Values

### COMP_RLE

public static final int COMP_RLE

See Also:
  - Constant Field Values

### COMP_IMCOMP

public static final int COMP_IMCOMP

See Also:
  - Constant Field Values

### COMP_CODE_NONE

public static final int COMP_CODE_NONE

See Also:
  - Constant Field Values

### COMP_CODE_RLE

public static final int COMP_CODE_RLE

See Also:
  - Constant Field Values

### COMP_CODE_NBIT

public static final int COMP_CODE_NBIT

See Also:
  - Constant Field Values

### COMP_CODE_SKPHUFF

public static final int COMP_CODE_SKPHUFF

See Also:
  - Constant Field Values

### COMP_CODE_DEFLATE

public static final int COMP_CODE_DEFLATE

See Also:
  - Constant Field Values

### COMP_CODE_INVALID

public static final int COMP_CODE_INVALID

See Also:
  - Constant Field Values

### COMP_MODEL_STDIO

public static final int COMP_MODEL_STDIO

See Also:
  - Constant Field Values

### DFIL_PIXEL

public static final int DFIL_PIXEL

See Also:
  - Constant Field Values

### DFIL_LINE

public static final int DFIL_LINE

See Also:
  - Constant Field Values

### DFIL_PLANE

public static final int DFIL_PLANE

See Also:
  - Constant Field Values

### SD_FILL

public static final int SD_FILL

See Also:
  - Constant Field Values

### SD_NOFILL

public static final int SD_NOFILL

See Also:
  - Constant Field Values

### SD_DIMVAL_BW_COMP

public static final int SD_DIMVAL_BW_COMP

See Also:
  - Constant Field Values

### SD_DIMVAL_BW_INCOMP

public static final int SD_DIMVAL_BW_INCOMP

See Also:
  - Constant Field Values

### HDF_NONE

public static final int HDF_NONE

See Also:
  - Constant Field Values

### HDF_CHUNK

public static final int HDF_CHUNK

See Also:
  - Constant Field Values

### HDF_COMP

public static final int HDF_COMP

See Also:
  - Constant Field Values

### HDF_NBIT

public static final int HDF_NBIT

See Also:
  - Constant Field Values

### MAX_VAR_DIMS

public static final int MAX_VAR_DIMS

See Also:
  - Constant Field Values

### GR_NAME

public static final String GR_NAME

See Also:
  - Constant Field Values

### RI_NAME

public static final String RI_NAME

See Also:
  - Constant Field Values

### RIGATTRNAME

public static final String RIGATTRNAME

See Also:
  - Constant Field Values

### RIGATTRCLASS

public static final String RIGATTRCLASS

See Also:
  - Constant Field Values

### HDF_ATTRIBUTE

public static final String HDF_ATTRIBUTE

See Also:
  - Constant Field Values

### HDF_VARIABLE

public static final String HDF_VARIABLE

See Also:
  - Constant Field Values

### HDF_DIMENSION

public static final String HDF_DIMENSION

See Also:
  - Constant Field Values

### HDF_UDIMENSION

public static final String HDF_UDIMENSION

See Also:
  - Constant Field Values

### DIM_VALS

public static final String DIM_VALS

See Also:
  - Constant Field Values

### DIM_VALS01

public static final String DIM_VALS01

See Also:
  - Constant Field Values

### HDF_CHK_TBL

public static final String HDF_CHK_TBL

See Also:
  - Constant Field Values

### HDF_CDF

public static final String HDF_CDF

See Also:
  - Constant Field Values

### ANNOTATION

public static final String ANNOTATION

See Also:
  - Constant Field Values

### RI8

public static final String RI8

See Also:
  - Constant Field Values

### RI24

public static final String RI24

See Also:
  - Constant Field Values

### GR

public static final String GR

See Also:
  - Constant Field Values

### SDS

public static final String SDS

See Also:
  - Constant Field Values

### VDATA

public static final String VDATA

See Also:
  - Constant Field Values

### VGROUP

public static final String VGROUP

See Also:
  - Constant Field Values

### UCHAR8

public static final String UCHAR8

See Also:
  - Constant Field Values

### CHAR8

public static final String CHAR8

See Also:
  - Constant Field Values

### UCHAR16

public static final String UCHAR16

See Also:
  - Constant Field Values

### CHAR16

public static final String CHAR16

See Also:
  - Constant Field Values

### FLOAT32

public static final String FLOAT32

See Also:
  - Constant Field Values

### FLOAT64

public static final String FLOAT64

See Also:
  - Constant Field Values

### FLOAT128

public static final String FLOAT128

See Also:
  - Constant Field Values

### INT8

public static final String INT8

See Also:
  - Constant Field Values

### UINT8

public static final String UINT8

See Also:
  - Constant Field Values

### INT16

public static final String INT16

See Also:
  - Constant Field Values

### UINT16

public static final String UINT16

See Also:
  - Constant Field Values

### INT32

public static final String INT32

See Also:
  - Constant Field Values

### UINT32

public static final String UINT32

See Also:
  - Constant Field Values

### INT64

public static final String INT64

See Also:
  - Constant Field Values

### UINT64

public static final String UINT64

See Also:
  - Constant Field Values

### INT128

public static final String INT128

See Also:
  - Constant Field Values

### UINT128

public static final String UINT128

See Also:
  - Constant Field Values

## Constructor Details

### HDFConstants

public HDFConstants()

## Method Details

### getType

public static String getType(int type)
convert number type to string type params type the number representing the data type return the string representing the data type

### getType

public static int getType(String type)
convert string type to number type params type the string representing the data type return the integer representing the data type

### getTypeSize

public static int getTypeSize(int type)
gets the size of the data type in bytes, e.g size of DFNT_FLOAT32 = 4 the size of the data type